
menu {

	// список пунктов верхнего уровня
	children = [
		
		// Новости
		menu( page: "kernel/news", icon: "fa-newspaper-o", title: "menu.news" ),
		
		// Уведомления + Рассылки
		menu( page: "kernel/notificationsEx", subPage: "notifications", icon: "fa-envelope-o", 
						title: "menu.notifications", badge: "#{notificationBean.getUnreadCount()}", badgeUpdate: "#{notificationBean.populate()}",
						show: isCustomer() ),
		
		// Уведомления
		menu( page: "kernel/notifications", subPage: "", icon: "fa-envelope-o", title: "menu.notifications",
						show: !isCustomer() ),
				
		// Уведомления
		//menu( page:"kernel/notifications", subPage:"", icon:"fa-envelope-o", title:"menu.notifications" ),
		// Рассылки
		//menu( page:"plugins/dispatch/dispatch", icon:"fa-envelope-o", title:"menu.dispatch", show: isCustomer() ),
		
		// Баланс
		menu( page: "kernel/balance", icon: "fa-rub", title: "menu.balance" ),
		
		// Лимит
		menu( page: "kernel/limit", icon: "fa-umbrella", title: "menu.limit" ),
		
		// Тарифные опции
		menu( page: "kernel/tariffOptions", icon: "fa-cogs", title: "menu.tariffOptions", show: isCustomer() ),
		
		// Плагин Бонус
		menu( page:"plugins/bonus/bonus", icon:"fa-gift", title:"menu.bonus", show: isPluginEnabled('bonus') ),
		
		// Договор
		menu( icon: "fa-briefcase", title: "menu.contract" ) {
				children = [
					// Статус
					menu( page: "kernel/status", title: "menu.status" ),
					// Тарифы
					menu( page: "kernel/tariffs", title: "menu.tariffs", show: isCustomer() ),
					// Действия
					menu( page: "kernel/additionalActions", title: "menu.additionalActions", show: isCustomer() ),
					// Документы
					menu( page: "kernel/documents", title: "menu.documents", show: isCustomer() ),
					// Документы (включены в предыдущий пункт)
					//menu( page: "plugins/documents/documents", title: "menu.documents" ),
					// Бухгалтерия
					menu( module: "bill", page: "modules/bill/bill", title: "menu.bill", show: isCustomer() ), 
					// Примечания
					menu( page: "kernel/notes", title: "menu.notes", show: isCustomer() ),
					// Смена пароля
					menu( page: "kernel/password", title: "menu.password", show: isCustomer() )
				]
			},
		
		// Интернет
		menu( module: "inet", icon: "fa-globe", title: "menu.inet" ) {
				children = [
					// Сессии
					menu( page: "modules/inet/sessions", title: "menu.inet.sessions" ),
					// Трафик
					menu( page: "modules/inet/traffics", title: "menu.inet.traffics" ),
					// Смена пароля
					menu( page: "modules/inet/password", title: "menu.inet.password", show: isCustomer() ),
					// Ограничения
					menu( page: "modules/inet/restrictions", title: "menu.inet.restrictions", show: isCustomer() )
				]
			},
		
		// ТВ
		menu( module: "tv", page: "modules/tv/tv", icon: "fa-tv", title: "menu.tv" ),
		
		// Цифровое ТВ
		menu( module: "cerbercrypt", page: "modules/cerbercrypt/cerbercrypt", icon: "fa-tv", title: "menu.cerbercrypt" ),
		
		// VoiceIp
		menu( module:"voiceip", icon:"fa-phone", title:"menu.voiceip" ) {
				children = [
					// Сессии
					menu( page:"modules/voiceip/sessions", title:"menu.voiceip.sessions" ),
					menu( page:"modules/voiceip/accounts", title:"menu.voiceip.accounts" )
				]
			},
		
		// Phone
		menu( module:"phone", icon:"fa-phone", title:"menu.phone" ) {
				children = [
					// Сессии
					menu( page:"modules/phone/sessions", title:"menu.phone.sessions" ),
					menu( page:"modules/phone/accounts", title:"menu.phone.accounts" )
				]
			},
		
		// Rentsoft
		menu( module: "rentsoft", page: "modules/rentsoft/rentsoft", icon: "fa-shopping-cart", title: "menu.rentsoft" ),
		
		// Лицензии
		menu( module: "license", page: "modules/license/license", icon: "fa-shopping-cart", title: "menu.license",
							show: isCustomer() ),
		
		// Поддержка
		menu( page: "plugins/helpdesk/helpdesk", icon: "fa-wrench", title: "menu.helpdesk",
							badge: "#{helpdeskBean.getUnreadTopicCount()}", badgeUpdate: "#{helpdeskBean.populateTopics()}",
							show: isCustomer() && isPluginEnabled('helpdesk') ),
							
		// TrayInfo
	 	menu( module:"trayinfo", page:"modules/trayinfo/trayinfo", icon:"fa-info-circle", title:"menu.trayinfo" ),  //fa-hourglass-half
	 	
	 	// Voice
        menu( module: "voice", icon: "fa-globe", title: "menu.voice" ) {
                children = [
                    // Сессии
                    menu( page: "modules/voice/sessions", title: "menu.voice.sessions" ),
                    //Детализация
                    menu( page: "modules/voice/detail", title: "menu.voice.detail" )
                    
                ]
            }       
	 	
						
		
		// можно фильтровать по группам договоров
		// menu( moduleId: 210, page: "modules/tv/tv", icon: "fa-tv", title: "menu.tv", 
		//					show: (contract.getGroups() & (1L<<62))!=0 )
		//
		// menu( moduleId:210, page:"modules/tv/tv", icon:"fa-tv", title:"menu.tv",
		//					show: contractInGroup( contract, [1, 2, 3, 4, 20] ) )
		
	]
}
