/*
  Используемый модуль должен быть добавлен на договор, иначе он исключается из списка для конкретного договора.
*/

paymentConfig {

	/* Если true - то используются только провайдеры/модули, которые указаны в providers. */
    replaceProviders = false
    /* Показывать оплату через модуль Card */
    showCard = false
    /* Нужно ли указывать email/телефон при оплате */
    needReceiptContacts = true

    providers = [
    
    	/*
    	// внешняя ссылка
		provider {
        	id = "externalLinkQiwi"
        	title = "Qiwi"
        	image = 'static/images/logos/qiwi.png'
			config = config {
				url = 'https://qiwi.com/payment/form.action?provider=297'
			}
    	}
    	*/
    ]

	/* Список возможных способов пополнения можно указать вручную, но также нужно учитывать, что если модуль отсутствует на договоре - 
		то пункт с соответсвующим модулем будет исключен из списка.  */
    payments = [

        /*
        payment {
            title = 'payment.bankCard'
            image = 'static/images/logos/visa_mastercard.png'
            providerId = 'yoomoney'
            type = 'bankCard'
            
            config = config {
				paymentTypes = 'AC:payment.yamoney.AC'
			}
        }
        
        , payment {
            title = 'payment.yoomoney'
            image = 'static/images/logos/yoomoney.png'
            providerId = 'yoomoney'
            type = 'bankCard'
            
            config = config {
				paymentTypes = 'PC:payment.yamoney.PC'
			}
        }
        */
    ]
}
