#!/bin/bash

cd ${0%${0##*/}}.

. ./setenv.sh

if [[ -e ${MYBGBILLING_HOME}MyBGBilling.war.deployed ]]
then
    rm ${MYBGBILLING_HOME}MyBGBilling.war.deployed
fi

sleep 3

$JAVA_HOME/bin/java -cp $MYBGBILLING_HOME/WEB-INF/classes/:$MYBGBILLING_HOME/WEB-INF/lib/* groovy.ui.GroovyMain ${MYBGBILLING_HOME}WEB-INF/script/update.groovy

exit

echo ""

while true; do
    read -r -p "Sync client libs (mybgbilling-sync-libs.sh)? [y/N] " response
    case $response in
        [yY][eE][sS]|[yY] ) 
            ./mybgbilling-sync-libs.sh;
            break;;
        [Nn][oO]|[Nn] )
            ./mybgbilling-reload.sh;
            break;;
        * ) echo "Please answer yes or no.";;
    esac
done
