/*
 * Copyright (c) 2016 BiTel Inc. All rights reserved.
*/
package ru.bitel.mybgbilling.kernel.common;

import javax.enterprise.context.Conversation;
import javax.inject.Inject;

import ru.bitel.bgbilling.common.BGException;

public abstract class AbstractConversationBean
	extends AbstractBean
{
	private static final long serialVersionUID = 1L;

	@Inject
	protected Conversation conversation;

	@Override
	protected void init()
		throws BGException
	{
		if( conversation.isTransient() )
		{
			conversation.begin();
			conversation.setTimeout( 300000L );
		}

		super.init();
	}
}
