/*
 * Copyright (c) 2016 BiTel Inc. All rights reserved.
*/
package ru.bitel.mybgbilling.kernel.common;

import javax.faces.context.ExceptionHandler;
import javax.faces.context.ExceptionHandlerFactory;

public class MyExceptionHandlerFactory
	extends ExceptionHandlerFactory
{

	private ExceptionHandlerFactory exceptionHandlerFactory;

	public MyExceptionHandlerFactory( ExceptionHandlerFactory exceptionHandlerFactory )
	{
		System.out.println( "SampleExceptionHandlerFactory" );
		this.exceptionHandlerFactory = exceptionHandlerFactory;
	}

	@Override
	public ExceptionHandler getExceptionHandler()
	{
		ExceptionHandler result = exceptionHandlerFactory.getExceptionHandler();
		result = new MyExceptionHandler( result );
		return result;
	}
}
