/*
 * Copyright (c) 2016 BiTel Inc. All rights reserved.
*/
package ru.bitel.mybgbilling.kernel.common;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.HashSet;
import java.util.List;
import java.util.Set;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;

import javax.activation.DataHandler;
import javax.xml.ws.Holder;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import groovy.util.ConfigObject;
import ru.bitel.bgbilling.common.BGException;
//import ru.bitel.bgbilling.kernel.admin.plugincfg.common.PluginItem;
//import ru.bitel.bgbilling.kernel.admin.plugincfg.common.PlugincfgService;
//import ru.bitel.bgbilling.kernel.dynamic.common.DynamicCodeService;
//import ru.bitel.bgbilling.kernel.module.common.bean.BGInstalledModule;
//import ru.bitel.bgbilling.kernel.module.common.service.ModuleService;
//import ru.bitel.common.groovy.GroovyBeanBuilder;
//import ru.bitel.common.io.IOUtils;
import ru.bitel.mybgbilling.kernel.ws.WSClient;

public class Updater
{
//	private static Logger logger = LogManager.getLogger();
//
//	public static void main( String[] args )
//		throws BGException, IOException
//	{
//		System.out.println( "Starting synchronization client libs with BGBillingServer" );
//		
//		File f = new File( System.getProperty( "jboss.server.config.dir" ) + "/mybgbilling-conf.groovy" );
//
//		File libPath;
//
//		if( f.exists() )
//		{
//			libPath = new File( f.getParentFile().getParentFile(), "deployments/MyBGBilling.war/WEB-INF/lib" );
//		}
//		else
//		{
//			f = new File( "../standalone/configuration/mybgbilling-conf.groovy" );
//
//			if( f.exists() )
//			{
//				libPath = new File( f.getParentFile().getParentFile(), "deployments/MyBGBilling.war/WEB-INF/lib" );
//			}
//			else
//			{
//				f = new File( f.getParentFile().getParentFile(), "deployments/MyBGBilling.war/WEB-INF/mybgbilling-conf.groovy" );
//				libPath = new File( f.getParentFile(), "lib" );
//			}
//		}
//
//		System.out.println( "Load configuration: " + f );
//		System.out.println( "Lib path: " + libPath );
//
//		GroovyBeanBuilder.addCommonStaticStars( "ru.bitel.mybgbilling.kernel.common.utils.CommonUtils" );
//		ConfigObject config;
//
//		try
//		{
//			config = new GroovyBeanBuilder().load( new FileInputStream( f ), "mybgbilling-conf.groovy" );
//		}
//		catch( Exception ex )
//		{
//			logger.error( "Error while parsing mybgbilling-conf.groovy" );
//
//			throw ex;
//		}
//
//		config = (ConfigObject)config.getProperty( "bgbilling" );
//
//		String url = (String)config.getOrDefault( "url", "http://127.0.0.1:8080/bgbilling/executer" );
//		String user = (String)config.getOrDefault( "user", "admin" );
//		String password = (String)config.getOrDefault( "password", "admin" );
//
//		System.out.println( "Connecting to: " + url );
//
//		WSClient wsClient = new WSClient( url, user, password, true, false );
//		ModuleService moduleService = wsClient.getPort( ModuleService.class, 0 );
//		
//		System.out.println( "Loaded " + ModuleService.class );
//		
//        try
//        {
//            // пытаемся подгрузить класс до замены client.jar
//            PlugincfgService plugincfgService = wsClient.getPort( PlugincfgService.class, 0 );
//            System.out.println( "Loaded " + PlugincfgService.class );
//            System.out.println( "Loaded " + PluginItem.class );
//        }
//        catch( Throwable t )
//        {
//        }
//
//		List<BGInstalledModule> installedModuleList = moduleService.installedClientModuleList();
//
//		System.out.println( "Installed modules: " + installedModuleList );
//
//		for( BGInstalledModule module : installedModuleList )
//		{
//			System.out.println( "Download libs for: " + module.getName() );
//
//			download( moduleService, libPath, module.getName() );
//		}
//
//		System.out.println( "Try download libs for: " + "plugins.helpdesk" );
//		download( moduleService, libPath, "ru.bitel.bgbilling.plugins.helpdesk" );
//
//		System.out.println( "Try download libs for: " + "plugins.documents" );
//		download( moduleService, libPath, "ru.bitel.bgbilling.plugins.documents" );
//
//		System.out.println( "Try download libs for: " + "plugins.bonus" );
//		download( moduleService, libPath, "ru.bitel.bgbilling.plugins.bonus" );
//		
//        System.out.println( "Try download libs for: " + "plugins.dispatch" );
//        download( moduleService, libPath, "ru.bitel.bgbilling.plugins.dispatch" );
//
//		System.out.println( "Try download libs for: " + "update" );
//		download( moduleService, libPath, "update" );
//		
//        try
//        {
//            PlugincfgService plugincfgService = wsClient.getPort( PlugincfgService.class, 0 );
//
//            List<PluginItem> pluginItemList = plugincfgService.getPlugins();
//            for( PluginItem pluginInfo : pluginItemList )
//            {
//                if( downloaded.contains( pluginInfo.getName() ) )
//                {
//                    continue;
//                }
//
//                System.out.println( "Download libs for: " + pluginInfo.getName() );
//
//                download( moduleService, libPath, pluginInfo.getName() );
//            }
//        }
//        catch( Throwable t )
//        {
//            t.printStackTrace();
//        }
//
//        downloaded.clear();
//        
//        downloadDyn( wsClient, libPath );
//                
//        System.out.println( "Synchronization finished" );
//	}
//	
//	private static Set<String> downloaded = new HashSet<>();
//
//    private static void download( ModuleService moduleService, File libPath, String name )
//        throws BGException, FileNotFoundException, IOException
//    {
//        if( !downloaded.add( name ) )
//        {
//            return;
//        }
//	    
//		Holder<DataHandler> data = new Holder<>();
//
//		moduleService.installedClientModulePacketGet( name, data );
//
//		ZipInputStream zis = new ZipInputStream( data.value.getInputStream() );
//
//		int count = 0;
//
//		ZipEntry ze = null;
//		while( (ze = zis.getNextEntry()) != null )
//		{
//			FileOutputStream fos = new FileOutputStream( libPath + File.separator + ze.getName() );
//
//			System.out.println( "Extract " + ze.getName() + " to " + libPath );
//
//			IOUtils.transfer( zis, fos, 56000 );
//
//			fos.flush();
//			fos.close();
//
//			count++;
//		}
//		zis.close();
//
//		if( count == 0 )
//		{
//			System.out.println( "Found 0 files" );
//		}
//    }
//
//    private static void downloadDyn( WSClient wsClient, File libPath )
//        throws BGException, FileNotFoundException, IOException
//    {
//        System.out.println( "Try download dyn lib" );
//
//        DynamicCodeService dynamicCodeService = wsClient.getPort( DynamicCodeService.class, 0 );
//
//        Holder<DataHandler> data = new Holder<>();
//
//        dynamicCodeService.getDynJar( true, data );
//
//        FileOutputStream fos = new FileOutputStream( libPath + File.separator + "bgbilling-dyn.jar" );
//
//        IOUtils.transfer( data.value.getInputStream(), fos, 56000 );
//
//        fos.flush();
//        fos.close();
//    }
}
