/*
 * Copyright (c) 2016 BiTel Inc. All rights reserved.
*/
package ru.bitel.mybgbilling.kernel.common.inject;

import java.lang.reflect.Field;

import javax.interceptor.InvocationContext;

import ru.bitel.mybgbilling.kernel.common.MySessionBean;
import ru.bitel.mybgbilling.kernel.navigation.NavigationBean;

public abstract class InjectPlanField
{
    protected final Field field;
    protected final boolean supplier;

    public InjectPlanField( final Field field )
    {
        this( field, false );
    }

    public InjectPlanField( final Field field, boolean supplier )
    {
        this.field = field;
        this.supplier = supplier;
    }

	public abstract void process( final MySessionBean wsClientBean, final NavigationBean navigationBean, final InvocationContext ctx, final Object o )
		throws IllegalArgumentException, IllegalAccessException;

	public abstract void cleanup( final MySessionBean wsClientBean, final NavigationBean navigationBean, final InvocationContext ctx, final Object o )
		throws IllegalArgumentException, IllegalAccessException;
}
