/*
 * Copyright (c) 2016 BiTel Inc. All rights reserved.
*/
package ru.bitel.mybgbilling.kernel.common.utils;

import java.util.List;

import javax.faces.context.FacesContext;
import javax.servlet.http.HttpServletRequest;

import ru.bitel.bgbilling.kernel.contract.api.common.bean.Contract;
import ru.bitel.common.Utils;
import ru.bitel.mybgbilling.kernel.common.Configuration;

public class CommonUtils
	extends Utils
{
	public static boolean contractInGroup( Contract contract, List<Integer> groupIds )
	{
		return (contract.getGroups() & ru.bitel.common.Utils.enumToMask( ru.bitel.common.Utils.toString( groupIds ) )) != 0;
	}

//	public static boolean isUserInRole( final String role )
//	{
//		final HttpServletRequest request = (HttpServletRequest)FacesContext.getCurrentInstance().getExternalContext().getRequest();
//
//		return request.isUserInRole( role );
//	}

	public static boolean isCustomer()
	{
	    final HttpServletRequest request = (HttpServletRequest)FacesContext.getCurrentInstance().getExternalContext().getRequest();
		return request.getSession().getAttribute( "mybgbilling.contract" ) != null; //isUserInRole( "customer" );
	}

	public static boolean isUnauthCustomer()
	{
	    final HttpServletRequest request = (HttpServletRequest)FacesContext.getCurrentInstance().getExternalContext().getRequest();
        return request.getSession().getAttribute( "mybgbilling.contract" ) == null;	    
		//return isUserInRole( "unauthCustomer" );
	}

	public static Object getBean( final String name )
	{
		final FacesContext context = FacesContext.getCurrentInstance();

		return context.getELContext().getELResolver().getValue( context.getELContext(), null, name );
	}

	public static Object evaluate( final String expression )
	{
		final FacesContext context = FacesContext.getCurrentInstance();

		return context.getApplication().evaluateExpressionGet( context, expression, Object.class );

		/*ExpressionFactory expressionFactory = context.getApplication().getExpressionFactory();
		ELContext elContext = context.getELContext();
		ValueExpression vex = expressionFactory.createValueExpression( elContext, menuItem.getBadge(), Integer.class );
		Integer result = (Integer)item.badgeExpression.getValue( elContext );
		
		return context.getELContext().getELResolver().getValue( context.getELContext(), null, name );*/
	}

    public static boolean isPluginEnabled( String plugin )
    {
        final Configuration configuration = (Configuration)getBean( "configuration" );
        return configuration.isPluginEnabled( plugin );
    }
}
