/*
 * Copyright (c) 2016 BiTel Inc. All rights reserved.
*/
package ru.bitel.mybgbilling.kernel.common.utils;

import java.io.Serializable;

import javax.enterprise.context.SessionScoped;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.inject.Named;

import ru.bitel.common.inet.IpAddress;

@Named
@SessionScoped
public class IpAddressConverter
	implements Converter, Serializable
{
	private static final long serialVersionUID = -70016406934744028L;

	@Override
	public Object getAsObject( FacesContext context, UIComponent component, String value )
	{
		return null;
	}

	@Override
	public String getAsString( FacesContext context, UIComponent component, Object value )
	{
		String result = null;

		if( value instanceof byte[] )
		{
			result = IpAddress.toString( (byte[])value );
		}
		else if( value instanceof IpAddress )
		{
			result = value.toString();
		}

		return result;
	}
}
