/*
 * Copyright (c) 2016 BiTel Inc. All rights reserved.
*/
package ru.bitel.mybgbilling.kernel.navigation;

import java.io.Serializable;
import java.math.BigDecimal;
import java.text.DateFormat;

import javax.enterprise.context.SessionScoped;
import javax.inject.Inject;
import javax.inject.Named;

@Named
@SessionScoped
public class Locale
	implements Serializable
{
	@Inject
	private LocaleBean localeBean;

	public java.util.Locale getLocale()
	{
		return localeBean.getLocale();
	}

	public String getLanguage()
	{
		return localeBean.getLanguage();
	}

	public void setLanguage( String language )
	{
		localeBean.setLanguage( language );
	}

	public DateFormat getDateFormat()
	{
		return localeBean.getDateFormat();
	}

	public DateFormat getMonthFormat()
	{
		return localeBean.getMonthFormat();
	}

	public DateFormat getMonthFormat2()
	{
		return localeBean.getMonthFormat2();
	}

	public DateFormat getMonthFormat3()
	{
		return localeBean.getMonthFormat3();
	}

	public String msg( String message )
	{
		return localeBean.msg( message );
	}

	public String msg( String key, String def )
	{
		return localeBean.msg( key, def );
	}

	public String getFormat( String key )
	{
		return localeBean.getFormat( key );
	}

	public String format( String key, Object arg )
	{
		return localeBean.format( key, arg );
	}

	public String format( String key, Object arg1, Object arg2 )
	{
		return localeBean.format( key, arg1, arg2 );
	}

	public String format( String key, Object arg1, Object arg2, Object arg3 )
	{
		return localeBean.format( key, arg1, arg2, arg3 );
	}

	public String format( String key, Object arg1, Object arg2, Object arg3, Object arg4 )
	{
		return localeBean.format( key, arg1, arg2, arg3, arg4 );
	}

	public String formatCurrency( Object value )
	{
		return localeBean.formatCurrency( value );
	}

	public BigDecimal parseCurrency( String value )
	{
		return localeBean.parseCurrency( value );
	}

}
