/*
 * Copyright (c) 2016 BiTel Inc. All rights reserved.
*/
package ru.bitel.mybgbilling.kernel.realm;

import javax.security.auth.login.LoginException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;

import ru.bitel.bgbilling.common.BGException;
import ru.bitel.mybgbilling.kernel.common.Configuration.AuthenticationMode;

public interface AuthenticationBean
{
	public void login( HttpServletRequest request, AuthenticationMode mode, int moduleId )
		throws BGException, LoginException, ServletException;

	public void preprocess( HttpServletRequest request, AuthenticationMode authenticationMode, int moduleId, LoginBean loginBean );
}
