/*
 * Copyright (c) 2016 BiTel Inc. All rights reserved.
*/
package ru.bitel.mybgbilling.kernel.ws;

import java.io.Serializable;

import javax.annotation.PostConstruct;
import javax.enterprise.context.SessionScoped;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import ru.bitel.bgbilling.common.BGException;
import ru.bitel.bgbilling.kernel.directory.api.client.ClientDirectoryFactory;
import ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory;
import ru.bitel.common.model.Id;

@SessionScoped
public class Billing
	implements Serializable
{
	private static final Logger logger = LogManager.getLogger();

	private WSClient wsClient;

	public Billing()
	{}

	@PostConstruct
	void init()
	{
		wsClient = new WSClient( "http://127.0.0.1:8081/bgbilling/executer", "admin", "admin", true, true ); //amir //123456

		logger.info( "Billing.init" );
	}

	public <T> T getPort( Class<T> iface, int mid )
	{
		return wsClient.getPort( iface, mid );
	}

	public <K extends Id> Directory<K> getDirectory( Class<K> clazz, int moduleId )
		throws BGException
	{
		return ClientDirectoryFactory.newDirectory( wsClient, clazz, moduleId, true );
	}
}
