/*
 * Copyright (c) 2016 BiTel Inc. All rights reserved.
*/
package ru.bitel.mybgbilling.modules.payment;

import java.util.Collections;
import java.util.List;

import ru.bitel.bgbilling.common.service.PaymentServiceProvider;
import ru.bitel.bgbilling.kernel.contract.autopayment.common.service.ContractAutopaymentService;
import ru.bitel.common.model.KeyValue;

public interface PaymentServiceProviderBean
    extends PaymentServiceProvider
{
    public default List<KeyValue<String, String>> getPaymentTypes()
    {
        return Collections.emptyList();
    }

    public default boolean isNeedPhone()
    {
        return false;
    }

    public default boolean isNeedReceiptContacts()
    {
        return false;
    }

    public ContractAutopaymentService getContractAutopaymentService();

    public default boolean isNeedAutopaymentEmail()
    {
        return false;
    }
}
