package ru.bitel.mybgbilling.modules.softline;

import java.util.Date;

/**
 * Модель активной пользовательской подписки.
 * Объединяет необходимые для показа в таблице данные о самой подписке и продукте
 */
public class UserSubscription
{
    private int id;
    private String productTitle;
    private String price;
    private Date startDate;
    private Date endDate;

    public UserSubscription(){}

    public UserSubscription( int id,
                             String productTitle,
                             String price,
                             Date startDate, Date endDate )
    {
        this.id = id;
        this.productTitle = productTitle;
        this.price = price;
        this.startDate = startDate;
        this.endDate = endDate;
    }

    public int getId()
    {
        return id;
    }

    public void setId( int id )
    {
        this.id = id;
    }

    public String getProductTitle()
    {
        return productTitle;
    }

    public void setProductTitle( String productTitle )
    {
        this.productTitle = productTitle;
    }

    public String getPrice()
    {
        return price;
    }

    public void setPrice( String price )
    {
        this.price = price;
    }

    public Date getStartDate()
    {
        return startDate;
    }

    public void setStartDate( Date startDate )
    {
        this.startDate = startDate;
    }

    public Date getEndDate()
    {
        return endDate;
    }

    public void setEndDate( Date endDate )
    {
        this.endDate = endDate;
    }
}
