/*
 * Copyright (c) 2016 BiTel Inc. All rights reserved.
*/
package ru.bitel.mybgbilling.plugins.documents;

import java.util.Date;
import java.util.List;

import ru.bitel.bgbilling.kernel.filestorage.common.bean.BGServerFile;
import ru.bitel.bgbilling.plugins.documents.common.bean.DocumentJournal;
import ru.bitel.bgbilling.plugins.documents.common.bean.DocumentStatusLogItem;
import ru.bitel.bgbilling.plugins.documents.common.bean.DocumentType;

/**
 * Вспомогательный бин, содержащий информацию по документу, список прикрепленных
 * к нему файлов и историю изменения статусов
 * 
 * @author marsel
 *
 */
public class DocumentFiles
{
	private int id;
	private String title;
	private DocumentType type;
	private DocumentJournal journal;
	private List<BGServerFile> files;
	private List<DocumentStatusLogItem> statusLog;
	private Date date;

	public int getId()
	{
		return id;
	}

	public void setId( int id )
	{
		this.id = id;
	}

	public DocumentType getType()
	{
		return type;
	}

	public void setType( DocumentType type )
	{
		this.type = type;
	}

	public DocumentJournal getJournal()
	{
		return journal;
	}

	public void setJournal( DocumentJournal journal )
	{
		this.journal = journal;
	}

	public List<BGServerFile> getFiles()
	{
		return files;
	}

	public void setFiles( List<BGServerFile> files )
	{
		this.files = files;
	}

	public Date getDate()
	{
		return date;
	}

	public void setDate( Date date )
	{
		this.date = date;
	}

	public String getTitle()
	{
		return title;
	}

	public void setTitle( String title )
	{
		this.title = title;
	}

	public List<DocumentStatusLogItem> getStatusLog()
	{
		return statusLog;
	}

	public void setStatusLog( List<DocumentStatusLogItem> status )
	{
		this.statusLog = status;
	}
}
